%define fw_version 5.24

Summary:	KDE Frameworks 5 icon themes support module
Name:		kiconthemes
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5archive-devel >= %{version}
BuildRequires:	kf5configwidgets-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5itemviews-devel >= %{version}
BuildRequires:	kf5widgetsaddons-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 icon themes support module.

%files
%{_kde5_bindir}/kiconfinder5

#----------------------------------------------------------------------------

%package i18n
Summary:	KIconThemes translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KIconThemes translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5iconthemes_major 5
%define libkf5iconthemes %mklibname kf5iconthemes %{kf5iconthemes_major}

%package -n %{libkf5iconthemes}
Summary:	KDE Frameworks 5 icon themes support shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5iconthemes}
KDE Frameworks 5 icon themes support shared library.

%files -n %{libkf5iconthemes}
%{_kde5_libdir}/libKF5IconThemes.so.%{kf5iconthemes_major}*

#----------------------------------------------------------------------------

%define devkf5iconthemes %mklibname kf5iconthemes -d

%package -n %{devkf5iconthemes}
Summary:	Development files for KDE Frameworks 5 icon themes support module
Group:		Development/KDE and Qt
Requires:	%{libkf5iconthemes} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5iconthemes-devel = %{version}

%description -n %{devkf5iconthemes}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5iconthemes}
%{_kde5_includedir}/KF5/KIconThemes
%{_kde5_includedir}/KF5/kiconthemes_version.h
%{_kde5_libdir}/cmake/KF5IconThemes
%{_kde5_libdir}/libKF5IconThemes.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (0137d68) New version 5.24.0


